commit:     d22573b8fd335fb0d8f7b5361680afb613bbbf4c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 15 19:17:13 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Mar 15 19:37:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d22573b8

x11-misc/xdialog: EAPI-7 bump, drop eutils

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 x11-misc/xdialog/files/xdialog-2.3.1-install.patch |  6 ++---
 .../xdialog/files/xdialog-2.3.1-no-strip.patch     |  6 ++---
 x11-misc/xdialog/xdialog-2.3.1.ebuild              | 29 ++++++++++------------
 3 files changed, 19 insertions(+), 22 deletions(-)

diff --git a/x11-misc/xdialog/files/xdialog-2.3.1-install.patch 
b/x11-misc/xdialog/files/xdialog-2.3.1-install.patch
index f5a02b099d9..8ca19e598a3 100644
--- a/x11-misc/xdialog/files/xdialog-2.3.1-install.patch
+++ b/x11-misc/xdialog/files/xdialog-2.3.1-install.patch
@@ -1,7 +1,7 @@
-http://bugs.gentoo.org/327353
+https://bugs.gentoo.org/327353
 
---- doc/Makefile.am
-+++ doc/Makefile.am
+--- a/doc/Makefile.am
++++ b/doc/Makefile.am
 @@ -6,7 +6,7 @@
  
  CLEANFILES = index.html compatibility.html changelog.html license.html 
Xdialog.1

diff --git a/x11-misc/xdialog/files/xdialog-2.3.1-no-strip.patch 
b/x11-misc/xdialog/files/xdialog-2.3.1-no-strip.patch
index a507f3f0cfb..fea929d99fe 100644
--- a/x11-misc/xdialog/files/xdialog-2.3.1-no-strip.patch
+++ b/x11-misc/xdialog/files/xdialog-2.3.1-no-strip.patch
@@ -1,6 +1,6 @@
-diff -Nru Xdialog-2.3.1.vanilla/configure.in Xdialog-2.3.1/configure.in
---- Xdialog-2.3.1.vanilla/configure.in 2009-02-11 09:54:10.000000000 +0000
-+++ Xdialog-2.3.1/configure.in 2009-02-11 09:59:28.000000000 +0000
+diff -Nru a/configure.in b/configure.in
+--- a/configure.in     2009-02-11 09:54:10.000000000 +0000
++++ b/configure.in     2009-02-11 09:59:28.000000000 +0000
 @@ -36,13 +36,8 @@
    CPPFLAGS="$CPPFLAGS -DUSE_GTK2"
    AC_MSG_RESULT(Compiling for GTK2)

diff --git a/x11-misc/xdialog/xdialog-2.3.1.ebuild 
b/x11-misc/xdialog/xdialog-2.3.1.ebuild
index 3be9830a8b3..e2052afacdc 100644
--- a/x11-misc/xdialog/xdialog-2.3.1.ebuild
+++ b/x11-misc/xdialog/xdialog-2.3.1.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit autotools eutils
+inherit autotools
 
-DESCRIPTION="drop-in replacement for cdialog using GTK"
+DESCRIPTION="Drop-in replacement for cdialog using GTK"
 HOMEPAGE="http://xdialog.free.fr/";
 SRC_URI="http://${PN}.free.fr/Xdialog-${PV}.tar.bz2";
 
@@ -18,21 +18,20 @@ RDEPEND="
        dev-libs/glib:2
        >=x11-libs/gtk+-2.2:2
 "
-DEPEND="
-       ${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
        virtual/pkgconfig
        nls? ( sys-devel/gettext )
 "
 
 S="${WORKDIR}/${P/x/X}"
 
-PATCHES=(
-       "${FILESDIR}"/${P}-{no-strip,install}.patch
-)
+DOCS=( AUTHORS BUGS ChangeLog README )
 
-src_prepare() {
-       epatch "${PATCHES[@]}"
+PATCHES=( "${FILESDIR}"/${P}-{no-strip,install}.patch )
 
+src_prepare() {
+       default
        eautoreconf
 }
 
@@ -45,11 +44,9 @@ src_configure() {
 src_install() {
        default
 
-       rm -rv "${D}"/usr/share/doc || die
-
-       dodoc AUTHORS BUGS ChangeLog README
-
-       use doc && dohtml -r doc/
+       rm -r "${D}"/usr/share/doc || die
+       use doc && local HTML_DOCS=( doc/. )
+       einstalldocs
 
        if use examples; then
                insinto "/usr/share/doc/${PF}/examples"

Reply via email to